package com.iformall.domain.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * @author gongbiao
 */
public class WxProfitSharingOrderDetailsVo implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long Id;
	private String tenantId;
	private Integer payAmount;
	private Date createTime;
	private Integer sharingStatus;
	private String finishTime;
	private String failedReason;
	private String description;
	private Integer receiverType;
	private String receiverAccount;
	private String receiverComments;
	private Integer sharingType;
	private Integer status;


	public Long getId() {
		return Id;
	}

	public void setId(Long id) {
		Id = id;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public Integer getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(Integer payAmount) {
		this.payAmount = payAmount;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getSharingStatus() {
		return sharingStatus;
	}

	public void setSharingStatus(Integer sharingStatus) {
		this.sharingStatus = sharingStatus;
	}

	public String getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(String finishTime) {
		this.finishTime = finishTime;
	}

	public String getFailedReason() {
		return failedReason;
	}

	public void setFailedReason(String failedReason) {
		this.failedReason = failedReason;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getReceiverType() {
		return receiverType;
	}

	public void setReceiverType(Integer receiverType) {
		this.receiverType = receiverType;
	}

	public String getReceiverAccount() {
		return receiverAccount;
	}

	public void setReceiverAccount(String receiverAccount) {
		this.receiverAccount = receiverAccount;
	}

	public String getReceiverComments() {
		return receiverComments;
	}

	public void setReceiverComments(String receiverComments) {
		this.receiverComments = receiverComments;
	}

	public Integer getSharingType() {
		return sharingType;
	}

	public void setSharingType(Integer sharingType) {
		this.sharingType = sharingType;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
}
